FROM node:22-alpine AS builder

WORKDIR /app
COPY . .

RUN npm install && npm run build

FROM nginx:alpine

# Optional: use custom nginx config for React Router support
# COPY nginx.conf /etc/nginx/conf.d/default.conf

COPY --from=builder /app/build /usr/share/nginx/html
